package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.store.dto.StoreRegionDTO;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreRegionService {

    int countByRegionCode(Integer enterpriseId, String regionCode);

    int countByRegionName(Integer enterpriseId, String regionName, Integer regionId);

    Integer save(Integer enterpriseId, String regionCode, String regionName);

    int update(Integer regionId, String regionName);

    Page<StoreRegionDTO> listStoreRegion(String search, Integer pageNum, Integer pageSize);
}
